body.archive .footer,
body.single-product .footer {
	border-top: none !important;
}


/*.archive .book-grid__wrapper .jet-listing-grid {
    margin-top: -1px;
}
*/
/*
.archive .price-filter__btn,
.archive .price-filter__btn * {
  transition: none !important;
}
.archive .elementor-widget-template svg {
	width: 10px;
	height: 10px;
	transform: scale(1) !important;
}
*/
.elementor-widget-template .type-filter__btn svg,
.elementor-widget-template .author-filter__btn svg,
.elementor-widget-template .price-filter__btn svg,
.elementor-widget-template .sorting-filter__wrapper svg,
.elementor-widget-template .open-filter__btn svg {
	transform: scale(1) !important;
}
.elementor-widget-template .open-filter__btn svg {
	width: 10px;
	height: 10px;
}
.elementor-widget-template .close-filter__btn .elementor-icon-wrapper {
    height: 32px;
}
@media (min-width: 1024px) {
.elementor-widget-template .type-filter__btn svg,
.elementor-widget-template .author-filter__btn svg,
.elementor-widget-template .price-filter__btn svg,
.elementor-widget-template .sorting-filter__wrapper svg {
	width: 10px;
	height: 10px;
}
}
/*
@media (min-width: 1280px) {
	.archive .elementor-widget-template svg {
		width: 10px;
		height: 10px;
		transform: scale(1) !important;
	}
}
*/
/* BOOK LISTING START */

body:not(.woocommerce-dashboard) .book-grid__wrapper .jet-listing-grid__items {
	margin-left: -2px !important;
    width: calc(100% + 6px) !important;
}
body.archive .book-grid__wrapper:before {
    content: "";
    position: absolute;
    top: -1px;
    width: 100%;
    height: 1px;
    background-color: #000000;
}
body.archive .book-grid__wrapper:after {
    content: "";
    position: absolute;
    bottom: 0px;
    width: 100%;
    height: 1px;
    background-color: #000000;
}

body:not(.woocommerce-dashboard) .book-grid__wrapper .jet-listing-grid__item {
    margin-top: -1px;
	margin-right: -1px;
}
body:is(.woocommerce-dashboard) .book-card__wrapper {
	border-left: 0 !important;
	border-bottom: 0 !important;
}
body:is(.woocommerce-dashboard) .jet-listing-grid__item:last-child .book-card__wrapper {
	border-right: 0 !important;
}
.book-card__wrapper {
	transition: all .3s ease !important;
}
.book-card__wrapper.hover {
	
}
/* cart btn */
body:not(.elementor-editor-active) .add-to-cart__wrapper {
	opacity: 0;
	transition: all .3s ease !important;
}
body:not(.elementor-editor-active) .book-card__wrapper.hover .add-to-cart__wrapper {
	opacity: 1;
	bottom: 32px !important;
}
@media (max-width: 767px) {
	body:not(.elementor-editor-active) .book-card__wrapper.hover .add-to-cart__wrapper {
		bottom: 16px !important;
	}
}
.add-to-cart__wrapper .elementor-icon-wrapper {
    height: 30px;
}
@media (max-width: 767px) {
	.add-to-cart__wrapper .elementor-icon-wrapper {
		height: 25px;
	}
}
/* book type icons */
.book-types__wrapper .elementor-shortcode {
	position: relative;
    display: flex;
    column-gap: 12px;
}
.book-types__wrapper .book-icon-wrapper {
    height: 22px;
}
.book-types__wrapper .book-icon-wrapper .tooltip {
	visibility: hidden;
    background-color: #000000;
    color: #F2EFEB;
    font-size: 12px !important;
    line-height: 1em;
    text-align: center;
    border-radius: 0;
    padding: 10px 15px;
    font-size: 16px;
    position: absolute;
    z-index: 1;
    bottom: -175%;
    left: 50%;
    transform: translateX(-50%);
    white-space: nowrap;
    opacity: 0;
    transition: opacity 0.3s ease;
}
.book-types__wrapper .book-icon-wrapper:hover .tooltip {
  visibility: visible;
  opacity: 1;
}
@media (max-width: 767px) {
	.book-types__wrapper .elementor-shortcode {
		column-gap: 5px;
	}
}
/* Book tags "xit, new, best" */
.book-tags__wrapper .jet-listing-dynamic-terms {
    display: flex;
}
/* percentage discount */
.book-percent__wrapper .discount {
	padding: 6px 10px;
	display: flex;
    font-size: 12px;
	font-weight: 400;
    line-height: 1em;
    color: #ffffff;
	background-color: #000000;
	border: 1px solid #000000;
}
@media (max-width: 767px) {
	.book-percent__wrapper .discount {
		font-size: 9px;
	}
}
/* regular & sale price */
.book-price__wrapper .price-block-regular .regular-price {
    font-weight: 600;
}
.book-price__wrapper .price-block-sale {
    display: flex;
    column-gap: 10px;
}
.book-price__wrapper .price-block-sale .sale-price {
    font-weight: 600;
}
.book-price__wrapper .price-block-sale .regular-price {
    color: #B1B1B1;
    font-weight: 400;
    text-decoration: line-through;
    text-decoration-thickness: 1.5px;
}
.book-card__wrapper .title .jet-listing-dynamic-field__content,
.book-card__wrapper .author .elementor-heading-title {
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}
/* BOOK LISTING END */

/* STORE & CATEGORY & TAG ARCHIVE PAGES START */

/* select2 filter */
.sorting-filter__wrapper .select2-selection--single {
	padding: 0px 20px;
    display: flex !important;
    height: 35px !important;
    background-color: #F2EFEB !important;
    border: 1px solid #000000 !important;
    border-radius: 0 !important;
    align-items: center;
	justify-content: space-between;
}
.sorting-filter__wrapper .select2-selection__rendered {
    padding: 0 !important;
    font-size: 16px;
    line-height: 1.2em !important;
    color: #000000 !important;
}
.sorting-filter__wrapper .select2-selection--single>span {
    display: block !important;
}
.sorting-filter__wrapper .select2-selection__arrow {
	position: relative !important;
    height: 10px !important;
	width: 10px !important;
    top: auto !important;
    right: auto !important;
	background: url('/wp-content/uploads/arrow-down-dark.svg') no-repeat center center;
  	background-size: contain;

}
.sorting-filter__wrapper .select2-container {
	z-index: 100;
}
@media (max-width: 767px) {
	.sorting-filter__wrapper .select2-container {
		width: 100% !important;
	}
}
.select2-dropdown {
	width: auto !important;
    margin-top: 10px;
    padding: 24px 20px;
    border: 1px solid #000000 !important;
    border-radius: 0 !important;
    background-color: #f1efeb !important;
	/* top: -50px;
	opacity: 0; */
	transition: all .3s cubic-bezier(.47,0,.75,.72) !important;*/
}
@media (max-width: 767px) {
	.sorting-dropdown {
		width: calc(50% - 24px) !important;
	}
}
@media screen and (min-width: 768px) and (max-width: 1023px) {
	.sorting-dropdown {
		width: 250px !important;
	}
}
.select2-dropdown.active {
	top: 0px;
	opacity: 1;
}
.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable {
    background-color: transparent !important;
    color: #000000 !important;
}
.select2-container--default .select2-results__option--selected {
	background-color: transparent !important;
	text-decoration: underline;
}
.select2-selection__arrow b {
  display: none !important;
}

/* tags filter */
.store-filter__wrapper .tags-filter__wrapper .jet-checkboxes-list__button {
    height: 35px;
	transition: all .3s ease;
}
/* type, author, price filter */
@media (min-width: 1024px) {
.store-filter__wrapper .type-filter__btn,
.store-filter__wrapper .author-filter__btn,
.store-filter__wrapper .price-filter__btn {
    cursor: pointer !important;
	transition: all .3s ease !important;
}
.store-filter__wrapper .type-filter__btn:hover svg,
.store-filter__wrapper .author-filter__btn:hover svg,
.store-filter__wrapper .price-filter__btn:hover svg {
    transition: all .3s ease !important;
}
.store-filter__wrapper .type-filter__btn:hover svg path,
.store-filter__wrapper .author-filter__btn:hover svg path,
.store-filter__wrapper .price-filter__btn:hover svg path {
    stroke: #f1efeb;
}
.store-filter__wrapper .type-filter__btn.active .elementor-widget-container,
.store-filter__wrapper .author-filter__btn.active .elementor-widget-container,
.store-filter__wrapper .price-filter__btn.active .elementor-widget-container {
	background-color: #000000 !important;
}
.store-filter__wrapper .type-filter__btn.active:hover,
.store-filter__wrapper .author-filter__btn.active:hover,
.store-filter__wrapper .price-filter__btn.active:hover {
	cursor: default;
}
.store-filter__wrapper .type-filter__btn.active .elementor-icon-box-title,
.store-filter__wrapper .author-filter__btn.active .elementor-icon-box-title,
.store-filter__wrapper .price-filter__btn.active .elementor-icon-box-title {
	color: #F2EFEB !important;
}
.store-filter__wrapper .type-filter__btn.active svg,
.store-filter__wrapper .author-filter__btn.active svg,
.store-filter__wrapper .price-filter__btn.active svg {
	rotate: 180deg;
}
.store-filter__wrapper .type-filter__btn.active svg path,
.store-filter__wrapper .author-filter__btn.active svg path,
.store-filter__wrapper .price-filter__btn.active svg path {
	stroke: #f1efeb;
}
}
.store-filter__wrapper .type-filter__btn,
.store-filter__wrapper .type-filter__btn .elementor-icon-box-wrapper,
.store-filter__wrapper .author-filter__btn,
.store-filter__wrapper .author-filter__btn .elementor-icon-box-wrapper,
.store-filter__wrapper .price-filter__btn,
.store-filter__wrapper .price-filter__btn .elementor-icon-box-wrapper,
.open-filter__btn,
.open-filter__btn .elementor-icon-box-wrapper {
    height: 35px;
}
@media (max-width: 1023px) {
	.store-filter__wrapper .type-filter__wrapper,
	.store-filter__wrapper .author-filter__wrapper,
	.store-filter__wrapper .price-filter__wrapper {
		position: relative;	
	}
}
@media (min-width: 1024px) {
	.store-filter__wrapper .type-filter__wrapper,
	.store-filter__wrapper .author-filter__wrapper,
	.store-filter__wrapper .price-filter__wrapper {
		opacity: 0;
		display: none;
		transition: all .3s cubic-bezier(.47,0,.75,.72) !important;
	}
	.store-filter__wrapper .type-filter__wrapper {
		max-width: 220px !important;
	}
	.store-filter__wrapper .author-filter__wrapper {
		max-width: 240px !important;
	}
	.store-filter__wrapper .price-filter__wrapper {
		max-width: 350px !important;
	}
	body.elementor-editor-active .store-filter__wrapper .type-filter__wrapper,
	body.elementor-editor-active .store-filter__wrapper .author-filter__wrapper,
	body.elementor-editor-active .store-filter__wrapper .price-filter__wrapper {
		top: 80px !important;
		opacity: 1;
	}
	.store-filter__wrapper .type-filter__wrapper.active,
	.store-filter__wrapper .author-filter__wrapper.active,
	.store-filter__wrapper .price-filter__wrapper.active {
		top: 40px !important;
		opacity: 1;
		z-index: 300 !important;
	}
}
.store-filter__wrapper .price-filter__wrapper .jet-range {
    display: flex;
    flex-direction: column-reverse;
}
.store-filter__wrapper .price-filter__wrapper .jet-range__inputs__container {
    column-gap: 24px;
    justify-content: space-between;
    align-items: center;
}
.store-filter__wrapper .price-filter__wrapper .jet-range__inputs__container:before {
    content: "до";
    font-size: 16px;
    order: 2;
}
.store-filter__wrapper .price-filter__wrapper .jet-range__slider {
    margin-top: 30px;
    margin-bottom: 0;
}
.store-filter__wrapper .price-filter__wrapper .jet-range__inputs__group {
    padding: 16px;
	max-width: 120px;
}
.store-filter__wrapper .price-filter__wrapper .jet-range__inputs__group:first-child {
    margin-right: 0;
}
.store-filter__wrapper .price-filter__wrapper .jet-range__inputs__group:last-child {
    margin-left: 0 !important;
    order: 3;
}
.store-filter__wrapper .price-filter__wrapper .jet-range__inputs__group__text {
    border: none;
}
.store-filter__wrapper .price-filter__wrapper .jet-range__inputs__min::-webkit-outer-spin-button,
.store-filter__wrapper .price-filter__wrapper .jet-range__inputs__min::-webkit-inner-spin-button,
.store-filter__wrapper .price-filter__wrapper .jet-range__inputs__max::-webkit-outer-spin-button,
.store-filter__wrapper .price-filter__wrapper .jet-range__inputs__max::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.store-filter__wrapper .price-filter__wrapper .jet-range__inputs__min,
.store-filter__wrapper .price-filter__wrapper .jet-range__inputs__max {
  -moz-appearance: textfield;
  text-align: right;
}
/* scrollbar for author filter */
.store-filter__wrapper .jet-filter-items-scroll::-webkit-scrollbar {
  width: 2px;
}
.store-filter__wrapper .jet-filter-items-scroll::-webkit-scrollbar-track {
  background: transparent;
}
.store-filter__wrapper .jet-filter-items-scroll::-webkit-scrollbar-thumb {
  background-color: #000;
  border-radius: 0;
}
/* for firefox */
/* .store-filter__wrapper .jet-filter-items-scroll {
  scrollbar-width: thin;
  scrollbar-color: #000 transparent;
} */
/* mobile filter wrapper */
@media (max-width: 767px) {
    .store-filter__wrapper {
        /* height: calc(100vh - 82px); */
		height: 100vh;
    }
	.mobile-filter__wrapper {
		height: calc(100% - 122px);
		overflow-y: auto;
	}
}
@media (max-width: 1023px) {
	.store-filter__wrapper {
		display: none;
		position: fixed;
		bottom: 0;
		right: 0;
		background-color: #f1efeb;
		transform: translateX(100%);
  		transition: transform 0.3s ease;
		z-index: 9999;
	}
	.store-filter__wrapper.active {
		transform: translateX(0);
	}
	.jet-remove-all-filters__button, .apply-filters {
		height: 62px;
	}
}
/* woocommerce notices */
.woocommerce-notices-wrapper {
	display: none;
}
/* pagination */
.jet-filters-pagination__item.prev,
.jet-filters-pagination__item.next,
.jet-filters-pagination__item .jet-filters-pagination__link {
    width: 40px;
    height: 40px;
	display: flex;
    align-items: center;
    justify-content: center;
	transition: all .5s ease;
}
.jet-filters-pagination__item.prev {
    margin-right: 48px !important;
}
.jet-filters-pagination__item.next {
    margin-left: 48px !important;
}
.jet-filters-pagination__item.prev .jet-filters-pagination__link,
.jet-filters-pagination__item.next .jet-filters-pagination__link {
    font-size: 0 !important;
}
.jet-filters-pagination__item.prev .jet-filters-pagination__link:before,
.jet-filters-pagination__item.next .jet-filters-pagination__link:before {
    content: "";
    width: 16px;
    height: 16px;
    mask-repeat: no-repeat;
    mask-size: contain;
    background-color: #000000;
    transition: all .3s cubic-bezier(.47, 0, .75, .72) !important;
}
.jet-filters-pagination__item.prev .jet-filters-pagination__link:hover:before,
.jet-filters-pagination__item.next .jet-filters-pagination__link:hover:before {
    background-color: #f1efeb;
}
.jet-filters-pagination__item.prev .jet-filters-pagination__link:before {
    -webkit-mask-image: url(/wp-content/uploads/pagination-prev.svg);
    mask-image: url(/wp-content/uploads/pagination-prev.svg);
}
.jet-filters-pagination__item.next .jet-filters-pagination__link:before {
    -webkit-mask-image: url(/wp-content/uploads/pagination-next.svg);
    mask-image: url(/wp-content/uploads/pagination-next.svg);
}
/* STORE & CATEGORY & TAG ARCHIVE PAGES END */

/* BOOK LISTING - NOT FOUND START */
.jet-listing-not-found {
    padding-top: 60px;
    padding-bottom: 120px;
    display: flex;
    font-family: "BanderaPro", Sans-serif;
    flex-direction: column;
    align-items: center;
    row-gap: 20px;
}
.jet-listing-not-found:before {
    content: url(/wp-content/uploads/store-not-found.svg);
}
/* BOOK LISTING - NOT FOUND END */